Bug 789146

Summary: ~/perl5/ is created for all users
Product: [Fedora] Fedora Reporter: Emmanuel Seyman <emmanuel>
Component: perl-local-libAssignee: Iain Arnell <iarnell>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 16CC: iarnell, mmaslano, perl-devel, ppisar
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: perl-local-lib-1.006007-3.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-19 01:57:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Emmanuel Seyman 2012-02-09 23:09:09 UTC
Description of problem:

The perl-homedir rpm installs /etc/profile.d/perl-homedir.sh . Even when setting the variable PERL_HOMEDIR to 0 in /etc/sysconfig/perl-homedir or in $HOME/.perl-homedir, the perl5/ directory would still be created for all the users of the system (root ? postgres ?)

Looking at the script, it contains the line:
alias perlll="eval `perl -Mlocal::lib`"

and I believe this will execute `perl -Mlocal::lib` for all users unconditionally. Commenting out this line prevents the problem.

Version-Release number of selected component (if applicable):
1.008004-2

How reproducible:
always

Steps to Reproduce:
1. Install the rpm ("yum install perl-homedir")
2. Configure the package not to create local directories ("echo PERL_HOMEDIR=0 > /etc/sysconfig/perl-homedir")
2. su to root ("su - root")
3. notice that /root/perl5 has been created
  
Actual results:
$HOME/perl5 is always created

Expected results:
$HOME/perl5 should be created only when it is wanted

Additional info:
the Brazilian big-eyed bat is one of only two species of bat in the world to chew the seeds of figs

Comment 1 Iain Arnell 2012-02-10 05:23:12 UTC
Fixed by using single quotes in the profile.d scripts:

  alias perlll='eval `perl -Mlocal::lib`'

Comment 2 Fedora Update System 2012-02-10 05:41:53 UTC
perl-local-lib-1.008004-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-local-lib-1.008004-4.fc15

Comment 3 Fedora Update System 2012-02-10 05:42:02 UTC
perl-local-lib-1.008004-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-local-lib-1.008004-4.fc16

Comment 4 Fedora Update System 2012-02-10 05:42:11 UTC
perl-local-lib-1.006007-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-local-lib-1.006007-3.el6

Comment 5 Fedora Update System 2012-02-10 18:35:39 UTC
Package perl-local-lib-1.006007-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing perl-local-lib-1.006007-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0408/perl-local-lib-1.006007-3.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-02-19 01:57:26 UTC
perl-local-lib-1.008004-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-02-19 02:01:44 UTC
perl-local-lib-1.008004-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-02-25 20:01:11 UTC
perl-local-lib-1.006007-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.